List a VPC's peer routes
curl --request GET \
--url https://app.miget.com/api/v1/vpcs/{uuid}/peer_routes \
--header 'Authorization: <api-key>'import requests
url = "https://app.miget.com/api/v1/vpcs/{uuid}/peer_routes"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.miget.com/api/v1/vpcs/{uuid}/peer_routes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.miget.com/api/v1/vpcs/{uuid}/peer_routes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.miget.com/api/v1/vpcs/{uuid}/peer_routes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.miget.com/api/v1/vpcs/{uuid}/peer_routes")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.miget.com/api/v1/vpcs/{uuid}/peer_routes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"uuid": "<string>",
"cidr": "<string>",
"gateway_kind": "<string>",
"description": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
]VPC VPN
List a VPC's peer routes
Returns the routes staged and applied on this VPC. A route with status pending is not in the cluster yet.
GET
/
api
/
v1
/
vpcs
/
{uuid}
/
peer_routes
List a VPC's peer routes
curl --request GET \
--url https://app.miget.com/api/v1/vpcs/{uuid}/peer_routes \
--header 'Authorization: <api-key>'import requests
url = "https://app.miget.com/api/v1/vpcs/{uuid}/peer_routes"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.miget.com/api/v1/vpcs/{uuid}/peer_routes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.miget.com/api/v1/vpcs/{uuid}/peer_routes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.miget.com/api/v1/vpcs/{uuid}/peer_routes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.miget.com/api/v1/vpcs/{uuid}/peer_routes")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.miget.com/api/v1/vpcs/{uuid}/peer_routes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"uuid": "<string>",
"cidr": "<string>",
"gateway_kind": "<string>",
"description": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
]Authorizations
Bearer token for authentication. Format: 'Bearer {token}'
Headers
Workspace ID (uses default workspace if not provided)
Path Parameters
VPC UUID
Response
List a VPC's peer routes
Unique route identifier
IPv4 range reachable through the gateway
Terminator the range sits behind: cloudflare or tailscale
Free-text note
pending until applied, then applied or failed
Creation timestamp

